=== debian/changelog ===
ros-indigo-ecl-threads (0.61.18-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 26 Jun 2017 23:08:26 -0000

ros-indigo-ecl-threads (0.61.4-0trusty) trusty; urgency=high

  * fix long standing bug in mutex tests on the build farm - skip deadlock tests in release mode

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 10 Oct 2015 04:00:00 -0000

ros-indigo-ecl-threads (0.61.1-0trusty) trusty; urgency=high

  * don't detach an ecl thread that hasn't been started

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 22 Jul 2015 04:00:00 -0000

ros-indigo-ecl-threads (0.61.0-0trusty) trusty; urgency=high

  * const'ness for appropriate thread functions

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 12 Sep 2014 04:00:00 -0000

ros-indigo-ecl-threads (0.60.6-0trusty) trusty; urgency=high

  * update to catkin's CFG_EXTRAS for easy to find cmake modules.
  * remove cmake debug message.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000
